<?= $this->extend('layouts/default'); ?>

<?= $this->section('content'); ?>

<div class="container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb bg-light p-2">
            <li class="breadcrumb-item"><a href="<?= base_url(); ?>"><i class="fas fa-home"></i></a></li>
            <li class="breadcrumb-item active">Корзина</li>
        </ol>
    </nav>
</div>


<div class="container py-3">
    <div class="row">

        <div class="col-lg-12 category-content">
            <h1 class="section-title">Корзина</h1>

            <?= $this->include('layouts/incs/alerts'); ?>

            <?php if (!empty($_SESSION['cart'])): ?>
                <div class="table-responsive cart-table">
                    <table class="table text-start">
                        <thead>
                        <tr>
                            <th scope="col">Фото</th>
                            <th scope="col">Наименование</th>
                            <th scope="col">Кол-во</th>
                            <th scope="col">Цена</th>
                            <th scope="col"><i class="far fa-trash-alt"></i></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($_SESSION['cart'] as $id => $item): ?>
                            <tr class="align-middle">
                                <td>
                                    <a href="<?= route_to('product.show', $item['slug']); ?>"><img src="<?= $item['img'] ?>" alt=""></a>
                                </td>
                                <td><a href="<?= route_to('product.show', $item['slug']); ?>"><?= $item['title'] ?></a></td>
                                <td><?= $item['qty'] ?></td>
                                <td>$<?= $item['price'] ?></td>
                                <td><a href="<?= route_to('cart.delete', $id); ?>" data-id="<?= $id ?>" class="del-item"><i class="far fa-trash-alt"></i></a></td>
                            </tr>
                        <?php endforeach; ?>
                        <tr>
                            <td colspan="4" class="text-end">Итого кол-во</td>
                            <td class="cart-qty-basket"><?= $_SESSION['cart.qty'] ?></td>
                        </tr>
                        <tr>
                            <td colspan="4" class="text-end">Всего</td>
                            <td class="cart-sum-basket">$<?= $_SESSION['cart.sum'] ?></td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <form class="row g-3" method="post" action="<?= route_to('cart.checkout'); ?>">
                    <?= csrf_field(); ?>

                    <?php if (!isset($_SESSION['user'])): ?>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-floating mb-3">
                                <input type="email" name="email" class="form-control" id="email" placeholder="name@example.com" value="<?= old('email') ?>">
                                <label class="required" for="email">Email</label>
                            </div>
                        </div>

                        <div class="col-md-6 offset-md-3">
                            <div class="form-floating mb-3">
                                <input type="password" name="password" class="form-control" id="password" placeholder="password">
                                <label class="required" for="password">Пароль</label>
                            </div>
                        </div>

                        <div class="col-md-6 offset-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" name="name" class="form-control" id="name" placeholder="Name" value="<?= old('name') ?>">
                                <label class="required" for="name">Имя</label>
                            </div>
                        </div>

                        <div class="col-md-6 offset-md-3">
                            <div class="form-floating mb-3">
                                <input type="text" name="address" class="form-control" id="address" placeholder="Address" value="<?= old('address') ?>">
                                <label class="required" for="address">Адрес</label>
                            </div>
                        </div>
                    <?php endif; ?>

                    <div class="col-md-6 offset-md-3">
                        <div class="form-floating mb-3">
                            <textarea name="note" class="form-control" placeholder="Leave a comment here" id="note" style="height: 100px"><?= old('note') ?></textarea>
                            <label for="note">Примечание</label>
                        </div>
                    </div>

                    <div class="col-md-6 offset-md-3">
                        <button type="submit" class="btn btn-danger">Отправить</button>
                    </div>
                </form>

            <?php else: ?>
                <h4 class="text-start">Корзина пуста</h4>
            <?php endif; ?>

        </div>

    </div>
</div>


<?= $this->endSection(); ?>
